%define api_version 2.2
%define lib_major	8
%define lib_name	%mklibname soup- %{api_version} %{lib_major}
Summary: SOAP (Simple Object Access Protocol) implementation
Name: libsoup
Version: 2.2.100
Release: %mkrel 1
License: GPL/LGPL
Group: System/Libraries
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: gtk-doc
BuildRequires: libxml2-devel

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package -n %{lib_name}
Summary:        Libraries for soup
Group:          System/Libraries

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %{lib_name}-devel
Summary:        Development libraries, header files and utilities for soup
Group:          Development/GNOME and GTK+
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
Conflicts:	%{_lib}soup-2.2_7-devel

%description -n %{lib_name}-devel
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%doc README COPYING ChangeLog AUTHORS
%{_libdir}/*.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.2.100-1mdv2007.0
+ Revision: 119994
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.2.99-1mdv2007.1
+ Revision: 106276
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.2.98-1mdv2007.1
+ Revision: 86160
- new version

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 2.2.97-1mdv2007.0
+ Revision: 77058
- Import libsoup




* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 2.2.97-1mdv2007.1
- New version 2.2.97

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.2.96-1
- New release 2.2.96

* Mon Jul 10 2006 Götz Waschk <waschk@mandriva.org> 2.2.95.1-1mdv2007.0
- New release 2.2.95.1

* Mon Jul 10 2006 Götz Waschk <waschk@mandriva.org> 2.2.95-1
- New release 2.2.95

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.2.94-1
- New release 2.2.94

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.2.93-1mdv2007.0
- New release 2.2.93

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 2.2.92-1mdk
- New release 2.2.92

* Sun Mar  5 2006 Gtz Waschk <waschk@mandriva.org> 2.2.91-1mdk
- drop patch
- New release 2.2.91

* Tue Jan 31 2006 Gtz Waschk <waschk@mandriva.org> 2.2.7-2mdk
- patch for bug #20426

* Thu Nov 17 2005 Götz Waschk <waschk@mandriva.org> 2.2.7-1mdk
- New release 2.2.7

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.6.1-2mdk
- Add conflicts to ease upgrade

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.6.1-1mdk
- Release 2.2.6.1
- Remove patch0

* Mon Aug 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-2mdk 
- Rebuild

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-1mdk 
- Release 2.2.3 (based on Gtz Waschk)

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk 
- Release 2.2.2

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.1-3mdk
- nuke lib64 rpaths

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-2mdk 
- Rebuild with latest gnutls

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- New release 2.2.1
- Remove patch0 (merged upstream)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Change major

* Sun Aug 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.13-1mdk
- new major
- New release 2.1.13

* Tue Jul 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.12-1mdk
- New release 2.1.12

* Fri Jun  4 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 2.1.10-2mdk
- __libtoolize can be removed now

* Fri May 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- New release 2.1.10

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.9-1mdk
- New release 2.1.9

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.28-1mdk
- Release 1.99.28

* Wed Sep 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.26-1mdk
- Release 1.99.26

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.23-2mdk
- Rebuild for latest provides

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.23-1mdk
- Release 1.99.23

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.22-1mdk
- Release 1.99.22
- Fix lib major (I screw it last time..)

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.20-1mdk
- Release 1.99.20

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.17-1mdk
- Release 1.99.17 (GNOME2 version)

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-1mdk
- Release 0.7.11

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-2mdk
- Rebuild against latest openssl

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Release 0.7.10

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.9-1mdk
- Release 0.7.9

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-1mdk
- Initial Mandrake package
